Skip to content

Retrieve a batch group

Request

Get an existing batch group by ID.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The ID of the profile that the batch group is associated with.

Example:12345678
batchGroupIdstring, (uuid)required

The batch group ID.

Example:54a6bc09-cef9-49a8-9041-f1f0c654cd88
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/2026Q3/profiles/12345678/batch-groups/54a6bc09-cef9-49a8-9041-f1f0c654cd88 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Batch group retrieved successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idstring, (uuid)

Batch group ID.

Example:"54a6bc09-cef9-49a8-9041-f1f0c654cd88"
versioninteger, (int64)

Batch version, used for concurrency control. This number is updated whenever there is a change to the batch group state (its status, the identity of the transfers in the batch, etc).

Some API operations require this version in requests, and operations may be rejected when the requested version does not match the server's version.

The version is a signed integer and is not ordered with respect to any previous version.

Example:123
namestring

Descriptive name for the batch group.

Example:"My batch group"
sourceCurrencystring

Source currency code (ISO 4217 Alphabetic Code). This currency is expected to be used for funding the batch group.

Example:"GBP"
statusstring

Current batch group status:

  • NEW — New batch group with zero or more transfers. Able to have more transfers added to it. Transfers in a NEW group cannot yet be funded and paid out.
  • COMPLETED — The batch group has had all desired transfers added and is now closed to further changes. Transfers in the group can now be funded and paid out. Note: COMPLETED does not imply payouts have been successfully completed.
  • MARKED_FOR_CANCELLATION — Cancellation of the transfers in the batch group was requested.
  • PROCESSING_CANCEL — Transfers in the group are being cancelled.
  • CANCELLED — Transfers in the group have been cancelled.
Enum:"NEW""COMPLETED""MARKED_FOR_CANCELLATION""PROCESSING_CANCEL""CANCELLED"
Example:"COMPLETED"
transferIdsArray of integers, (int64)

The IDs of all transfers successfully added to the group.

Example:
[ 234, 456 ]
payInDetailsArray of objects

List of pay-in details describing how the batch group can be funded. Provided only when the batch group is in the COMPLETED state.

Currently supported types: bank_transfer.

Response
{ "id": "54a6bc09-cef9-49a8-9041-f1f0c654cd88", "version": 123, "name": "My batch group", "sourceCurrency": "GBP", "status": "COMPLETED", "transferIds": [ 234, 456 ], "payInDetails": [ { "type": "bank_transfer", "reference": "B5323", "amount": 12504.54, "currency": "NOK", "name": "TransferWise Ltd", "branchName": null, "accountNumber": "9910728", "accountType": null, "bankCode": "8301", "bankAddress": {}, "transferWiseAddress": {}, "iban": null, "bban": "83019910728", "institutionNumber": null, "transitNumber": null, "beneficiaryBankBIC": null, "intermediaryBankBIC": null, "fpsIdentifier": null, "clearingNumber": null } ] }